
require 'yarvutil'
$LOAD_PATH.shift
$LOAD_PATH.each{|path|
  Dir.glob("#{path}/**/*.rb"){|file|
    #
    puts "#"
    puts "# #{file}"
    puts "#"
    puts
    puts YARVUtil.parse(File.read(file), file, 1).disasm
  }
}

